#
# sgpk05.rb
#
# $Id: sgpk05.rb,v 1.1 2000/11/21 03:02:07 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


n = 9
y = NArray.sfloat(n)

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn iws

DCL::sgfrm

x1 = 0.1
x2 = 0.9
xc = 0.5

DCL::sgslni(1)
y = y.indgen * (-0.1) + 0.9
for i in 0..n-1
  DCL::sglnv(x1, y[i], x2, y[i])
end
DCL::sglnv(xc, 0.05, xc, 0.95)

DCL::sgtxv(xc, y[0], 'SGTXV TEST') # <-- テキスト1 段目

DCL::sgstxi(2)                     # <-- テキストIndex 設定
DCL::sgtxv(xc, y[1], 'INDEX2')     # <-- テキスト2 段目

DCL::sgstxi(3)                     # <-- テキストIndex 設定
DCL::sgtxv(xc, y[2], 'INDEX3')     # <-- テキスト3 段目

DCL::sgstxi(4)
DCL::sgstxs(0.03)                  # <--テキストSize設定(小)
DCL::sgtxv(xc, y[3], 'SMALL')      # <-- テキスト4 段目

DCL::sgstxs(0.07)                  # <--テキストSize設定(大)
DCL::sgtxv(xc, y[4], 'LARGE')      # <-- テキスト5 段目

DCL::sgstxs(0.05)
DCL::sgstxi(5)
DCL::sgstxc(-1)                    # <-- 左揃え
DCL::sgtxv(xc, y[5], 'LEFT')       # <-- テキスト6 段目

DCL::sgstxc(0)                     # <-- 中央揃え
DCL::sgtxv(xc, y[6], 'CENTER')     # <-- テキスト7 段目

DCL::sgstxc(1)                     # <-- 右揃え
DCL::sgtxv(xc, y[7], 'RIGHT')      # <-- テキスト8 段目

DCL::sgstxc(0)
DCL::sgstxi(4)
DCL::sgstxr(20)                    # <-- テキスト回転
DCL::sgtxv(xc, y[8], 'ROTATION')   # <-- テキスト9 段目

DCL::sgcls

